package com.jw.app.business.user;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface UserDAO {

	void insert_user_ext(Map<String, Object> entity) throws BusinessException;

	void update_user_ext(Map<String, Object> entity) throws BusinessException;

	void delete_user_ext(List<String> list) throws BusinessException;

	List<Map<String, Object>> list_delete_user_ext(List<String> list)
			throws BusinessException;

	void insert_user_account(Map<String, Object> entity)
			throws BusinessException;

	void update_user_account(Map<String, Object> entity)
			throws BusinessException;

	void delete_user_account(List<String> list) throws BusinessException;

	void update_batch_user_unit(Map<String, Object> entity)
			throws BusinessException;

	void insert_user(Map<String, Object> entity) throws BusinessException;

	void update_user(Map<String, Object> entity) throws BusinessException;

	void delete_user(List<String> list) throws BusinessException;

	List<Map<String, Object>> list_user(RowBounds rowbounds,
			Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_user(Map<String, Object> query)
			throws BusinessException;

	int listCount_user(Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_name_user(List<String> list)
			throws BusinessException;

	List<Map<String, Object>> listUserInfo(Map<String, Object> query)
			throws BusinessException;
	
	int list_max_order(Map<String, Object> query) throws BusinessException ; 

	List<Map<String,Object>> list_uuid_order(Map<String,Object> query) throws BusinessException ;
	
	List<Map<String, Object>> list_usertree(Map<String, Object> query)
			throws BusinessException;

	int listCount_usertree(Map<String, Object> query) throws BusinessException;
	
	List<Map<String,Object>> list_user_ldap() throws BusinessException;
	
	String list_user_uuid(String query) throws BusinessException;
	
	Map<String, Object> list_user_ldap_single(String query) throws BusinessException;
	
	int listSsoUser(Map<String, Object> query)throws BusinessException;
	
	List<Map<String, Object>> listUserInfo_userId(Map<String, Object> query)throws BusinessException;
	
	List<Map<String, Object>> listAllUser(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>>  listGroupUser(Map<String, Object> query) throws BusinessException;
	
	int listMoblieCount(Map<String, Object> query) throws BusinessException; 
	
	Map<String, Object> listMobileUser (Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listUserReceive(String query) throws BusinessException;
	
	Map<String, Object> listIdNumberUser (Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listUserPush(Map<String, Object> query) throws BusinessException;
}
